## ros-dashing-rclcpp-action 0.7.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclcpp_action)

find_package(ament_cmake_ros REQUIRED)
find_package(action_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_action REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(include)

set(${PROJECT_NAME}_SRCS
  src/client.cpp
  src/qos.cpp
  src/server.cpp
  src/server_goal_handle.cpp
  src/types.cpp
)

add_library(${PROJECT_NAME}
  ${${PROJECT_NAME}_SRCS})

ament_target_dependencies(${PROJECT_NAME}
  "action_msgs"
  "rcl_action"
  "rclcpp"
  "rosidl_generator_c"
  "rosidl_generator_cpp")

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "RCLCPP_ACTION_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_dependencies(ament_cmake)
ament_export_dependencies(action_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rcl_action)
ament_export_dependencies(rosidl_generator_c)
ament_export_dependencies(rosidl_generator_cpp)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_client test/test_client.cpp)
  if(TARGET test_client)
    ament_target_dependencies(test_client
      "test_msgs"
    )
    target_link_libraries(test_client
      ${PROJECT_NAME}
    )
  endif()

  ament_add_gtest(test_server test/test_server.cpp)
  if(TARGET test_server)
    ament_target_dependencies(test_server
      "test_msgs"
    )
    target_link_libraries(test_server
      ${PROJECT_NAME}
    )
  endif()

endif()

ament_package()

=== debian/changelog ===
ros-dashing-rclcpp-action (0.7.16-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 May 2021 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.15-1bionic) bionic; urgency=high

  * Fix typo in action client logger name. (#1414 <https://github.com/ros2/rclcpp/issues/1414>)
  * Contributors: Seulbae Kim

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Nov 2020 08:00:00 -0000

ros-dashing-rclcpp-action (0.7.14-1bionic) bionic; urgency=high

  * Fixed doxygen warnings. (#1208 <https://github.com/ros2/rclcpp/issues/1208>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 Jul 2020 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.13-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 12 Mar 2020 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.12-1bionic) bionic; urgency=high

  * Fixed memory leak in action clients (#934 <https://github.com/ros2/rclcpp/issues/934>)
  * Do not throw exception in action client if take fails (#891 <https://github.com/ros2/rclcpp/issues/891>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 05 Dec 2019 08:00:00 -0000

ros-dashing-rclcpp-action (0.7.11-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.10-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 23 Sep 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.4-1bionic) bionic; urgency=high

  * Guard against calling null goal response callback (#738 <https://github.com/ros2/rclcpp/issues/738>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.2-1bionic) bionic; urgency=high

  * Added return code to CancelGoal service response. (#710 <https://github.com/ros2/rclcpp/issues/710>)
  * Contributors: Jacob Perron, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.1-1bionic) bionic; urgency=high

  * Added optional callbacks to action client for goal, response, and result. (#701 <https://github.com/ros2/rclcpp/issues/701>)
  * Added overload for node interfaces. (#700 <https://github.com/ros2/rclcpp/issues/700>)
  * Renamed action state transitions. (#677 <https://github.com/ros2/rclcpp/issues/677>)
  * Contributors: Jacob Perron, Karsten Knese

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.7.0-1bionic) bionic; urgency=high

  * Fixed hard-coded duration type representation so int64_t isn't assumed. (#648 <https://github.com/ros2/rclcpp/issues/648>)
  * Added documentation to rclcpp_action. (#650 <https://github.com/ros2/rclcpp/pull/650>)
  * Updated to use separated action types. (#601 <https://github.com/ros2/rclcpp/issues/601>)
  * Updated to wait for action server before sending goal. (#637 <https://github.com/ros2/rclcpp/issues/637>)
  * Refactored server goal handle's try_canceling() function. (#603 <https://github.com/ros2/rclcpp/issues/603>)
  * Contributors: Emerson Knapp, Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-dashing-rclcpp-action (0.6.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-dashing-rclcpp-action (0.6.1-1bionic) bionic; urgency=high

  * Added wait_for_action_server() for action clients (#598 <https://github.com/ros2/rclcpp/issues/598>)
  * Updated to adapt to action implicit changes (#602 <https://github.com/ros2/rclcpp/issues/602>)
  * Added rclcpp_action Server implementation (#593 <https://github.com/ros2/rclcpp/issues/593>)
  * Added action client implementation (#594 <https://github.com/ros2/rclcpp/issues/594>)
  * Added skeleton for Action Server and Client (#579 <https://github.com/ros2/rclcpp/issues/579>)
  * Contributors: Michel Hidalgo, Shane Loretz, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-dashing-rclcpp-action
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rcl-action, ros-dashing-rclcpp, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rclcpp-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-rcl-action, ros-dashing-rclcpp, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-ros-workspace
Description: Adds action APIs for C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rclcpp-action//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
